| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Public Member Functions | Public Attributes | List of all members
wxImage::RGBValue Class Reference

`#include <wx/image.h>`

## Detailed Description

A simple class which stores red, green and blue values as 8 bit unsigned integers in the range of 0-255.

## Public Member Functions

| RGBValue (unsigned char r=0, unsigned char g=0, unsigned char b=0)
| Constructor for RGBValue, an object that contains values for red, green and blue which represent the value of a color. More...

## Public Attributes

unsigned char | red
unsigned char | green
unsigned char | blue

## Constructor & Destructor Documentation

wxImage::RGBValue::RGBValue | ( | unsigned char | r = `0`,
|  | unsigned char | g = `0`,
|  | unsigned char | b = `0`
| ) |  |

Constructor for RGBValue, an object that contains values for red, green and blue which represent the value of a color.

It is used by wxImage::HSVtoRGB and wxImage::RGBtoHSV, which convert between HSV color space and RGB color space.

## Member Data Documentation

unsigned char wxImage::RGBValue::blue

unsigned char wxImage::RGBValue::green

unsigned char wxImage::RGBValue::red